## org.eclipse.jst.server.core
Interface IJavaRuntimeWorkingCopy

All Superinterfaces:
  IJavaRuntime

    public interface IJavaRuntimeWorkingCopy

extends IJavaRuntime

An interface for a server that contains a Java runtime.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`void` `setVMInstall(IVMInstall vmInstall)` Set the VM install (installed JRE) that this runtime is using.

Methods inherited from interface org.eclipse.jst.server.core.IJavaRuntime
`getVMInstall, isUsingDefaultJRE`

Method Detail

### setVMInstall

    void setVMInstall(IVMInstall vmInstall)

  Set the VM install (installed JRE) that this runtime is using. Use `null` to use the Eclipse default JRE.

  Parameters:
    `vmInstall` - the VM install to use